DS_DEALLOC_PACKET(3)

FUNCTION
ds_dealloc_packet - Recursively deallocate a packet.

SYNOPSIS
#include <karma_ds.h>

void ds_dealloc_packet

(packet_desc *pack_desc, char *data)

DESCRIPTION
This routine will deallocate all memory associated with a data packet. This includes all the descriptors and data arrays and lists associated with the packet. The routine is quite robust, deallocating in the correct order and cleanly bypassing missing sections in the hierarchy.

pack_desc
    The descriptor for the packet.

data
    The data for the packet.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/